curl -X POST https://api.chargeapi.co/v1/drivers/drv_ETjCYs2UoLbMuKHS0CKfu8EUxXGMMj2V \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"phone": "+33189000029"
}'
{
"id": "drv_ETjCYs2UoLbMuKHS0CKfu8EUxXGMMj2V",
"object": "driver",
"created": "2026-04-01T00:36:43.890Z",
"email": "example@example.com",
"fleets": ["flt_grOWx6EexbLtcXYJiCsSmRVeA5r1rbEc"],
"license_number": null,
"metadata": {},
"name": "Example Driver",
"phone": "+33189000029",
"policy_ids": ["pol_dhAZs1vmCVr8gAkknRkPzJQ5u8EMQwFh"],
"preferences": {
"charging_speed": "fast",
"currency": "eur",
"default_payment_method": null,
"max_price_per_kwh": null,
"notifications": true,
"preferred_charging_stations": ["chst_uiIgEAEpjxf5JVAowpX8AUuhy2x3wAMd"],
"preferred_cpos": ["example_operator"]
},
"status": "active",
"updated": "2026-04-01T01:36:42.785Z",
"vehicles": ["veh_6T4Jc2F3VnFFAPu6dpWop9lduX6iBAbu"],
"wallet_balance": 1875
}
Drivers
Update a Driver
curl -X POST https://api.chargeapi.co/v1/drivers/drv_ETjCYs2UoLbMuKHS0CKfu8EUxXGMMj2V \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"phone": "+33189000029"
}'
{
"id": "drv_ETjCYs2UoLbMuKHS0CKfu8EUxXGMMj2V",
"object": "driver",
"created": "2026-04-01T00:36:43.890Z",
"email": "example@example.com",
"fleets": ["flt_grOWx6EexbLtcXYJiCsSmRVeA5r1rbEc"],
"license_number": null,
"metadata": {},
"name": "Example Driver",
"phone": "+33189000029",
"policy_ids": ["pol_dhAZs1vmCVr8gAkknRkPzJQ5u8EMQwFh"],
"preferences": {
"charging_speed": "fast",
"currency": "eur",
"default_payment_method": null,
"max_price_per_kwh": null,
"notifications": true,
"preferred_charging_stations": ["chst_uiIgEAEpjxf5JVAowpX8AUuhy2x3wAMd"],
"preferred_cpos": ["example_operator"]
},
"status": "active",
"updated": "2026-04-01T01:36:42.785Z",
"vehicles": ["veh_6T4Jc2F3VnFFAPu6dpWop9lduX6iBAbu"],
"wallet_balance": 1875
}
Updates a driver. Parameters you omit keep their current values.
curl -X POST https://api.chargeapi.co/v1/drivers/drv_ETjCYs2UoLbMuKHS0CKfu8EUxXGMMj2V \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"phone": "+33189000029"
}'
{
"id": "drv_ETjCYs2UoLbMuKHS0CKfu8EUxXGMMj2V",
"object": "driver",
"created": "2026-04-01T00:36:43.890Z",
"email": "example@example.com",
"fleets": ["flt_grOWx6EexbLtcXYJiCsSmRVeA5r1rbEc"],
"license_number": null,
"metadata": {},
"name": "Example Driver",
"phone": "+33189000029",
"policy_ids": ["pol_dhAZs1vmCVr8gAkknRkPzJQ5u8EMQwFh"],
"preferences": {
"charging_speed": "fast",
"currency": "eur",
"default_payment_method": null,
"max_price_per_kwh": null,
"notifications": true,
"preferred_charging_stations": ["chst_uiIgEAEpjxf5JVAowpX8AUuhy2x3wAMd"],
"preferred_cpos": ["example_operator"]
},
"status": "active",
"updated": "2026-04-01T01:36:42.785Z",
"vehicles": ["veh_6T4Jc2F3VnFFAPu6dpWop9lduX6iBAbu"],
"wallet_balance": 1875
}
Parameters
string
Updated contact email.
string
Updated full name.
string
Updated phone number.
string
Set driver status.Available options:
active, suspended, archivedMore parameters
string
Driver’s license number to store or update.
object
Set of key-value pairs that you can attach to an object.
object
Driver preferences for charging behavior and routing.
Show properties
Show properties
string
Preferred charging speed.
string
Preferred currency for cost display and billing.
string | null
Default payment method ID assigned to the driver.
integer | null
Optional upper limit on acceptable charging price, in the smallest currency unit per kWh.
boolean
Whether to receive notifications about charging status and session progress.
array of string
List of preferred charging station IDs.
array of string
List of preferred charging network (CPO) IDs.
Returns
Returns the updated driver.⌘I

